package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag101;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT101Creator;

public class Tag25Creator extends AbsTagCreate {
    private MT101Creator mt101Creator;

    public Tag25Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt101Creator = (MT101Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag25Value = mt101Creator.getAuthorisation();
        mt101Creator.set("25", tag25Value);
    }
}
